This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 106305 - sane-backends bad source code
sane-backends bad source code
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sane-backends (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-05 05:19 EDT by d.binderman
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version: 1.0.12-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-10 21:15:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-10-05 05:19:48 EDT
Description of problem:

Hello there,

I just tried to compile package sane-backends-1.0.9-5, from Redhat 9.0,
with compiler flag -Wall.

The compiler said

canon-sane.c:1781: warning: operation on `p' may be undefined

The source code is

         *p++ = *(p + 1);

You probably meant to say

         p[ 0] = p[ 1];
         ++p;
         




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2003-10-08 04:44:56 EDT
Fixed in CVS.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.